% ==============
% OC + cohererel
% ==============

op(
id(2),
name(dizer-por-purpose1),
header(sabe(r,purpose1(X,Y))),
effect(sabe(r,purpose1(X,Y))),
constraints([isa(X,Y,enable),sp(Y,X),dom(X,Y)]),
n([dizer(Y),cohererel(purpose1(X,Y))]),
s(nil)
).

op(
id(3),
name(dizer-por-means),
header(sabe(r,means(X,Y))),
effect(sabe(r,means(X,Y))),
constraints([isa(Y,X,enable),sp(X,Y),dom(Y,X)]),
n([dizer(Y),cohererel(means(X,Y))]),
s(nil)
).

op(
id(4),
name(dizer-por-purpose2),
header(sabe(r,purpose2(X,Y))),
effect(sabe(r,purpose2(X,Y))),
constraints([isa(Y,X,rationale),sup(Y,X),dom(X,Y),not sp(X,Y)]),
n([dizer(Y),cohererel(purpose2(X,Y))]),
s(nil)
).

op(
id(5),
name(dizer-por-justify1),
header(sabe(r,justify1(X,Y))),
effect(sabe(r,justify1(X,Y))),
constraints([isa(Y,X,rationale),sup(Y,X),dom(X,Y),not sp(X,Y)]),
n([dizer(Y),cohererel(justify1(X,Y))]),
s(nil)
).

op(
id(6),
name(dizer-por-evidence),
header(sabe(r,evidence(X,Y))),
effect(sabe(r,evidence(X,Y))),
constraints([isa(X,Y,proof),sp(Y,X),dom(X,Y),sup(Y,X)]),
n([dizer(Y),cohererel(evidence(X,Y))]),
s(nil)
).

op(
id(7),
name(dizer-por-nonvolres),
header(sabe(r,nonvolres(X,Y))),
effect(sabe(r,nonvolres(X,Y))),
constraints([isa(Y,X,cause),sp(X,Y),dom(Y,X),gen(X,Y)]),
n([dizer(Y),cohererel(nonvolres(X,Y))]),
s(nil)
).

op(
id(8),
name(dizer-por-nonvolcause),
header(sabe(r,nonvolcause(X,Y))),
effect(sabe(r,nonvolcause(X,Y))),
constraints([isa(X,Y,cause),sp(Y,X),dom(X,Y),gen(Y,X)]),
n([dizer(Y),cohererel(nonvolcause(X,Y))]),
s(nil)
).

op(
id(9),
name(dizer-por-contrast),
header(sabe(r,contrast(X,Y))),
effect(sabe(r,contrast(X,Y))),
constraints([isa(X,Y,difsem),symm(X,Y)]),
n([dizer(Y),cohererel(contrast(X,Y))]),
s(nil)
).

op(
id(10),
name(dizer-por-list),
header(sabe(r,list(X,Y))),
effect(sabe(r,list(X,Y))),
constraints([isa(X,Y,simsem),symm(X,Y)]),
n([dizer(Y),cohererel(list(X,Y))]),
s(nil)
).

op(
id(11),
name(dizer-por-elaborate),
header(sabe(r,elaborate(X,Y))),
effect(sabe(r,elaborate(X,Y))),
constraints([isa(X,Y,attribute),sup(Y,X)]),
n([dizer(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(12),
name(dizer-por-elaborate),
header(sabe(r,elaborate(X,Y))),
effect(sabe(r,elaborate(X,Y))),
constraints([isa(X,Y,detail),sup(Y,X)]),
n([dizer(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(13),
name(dizer-por-elaborate),
header(sabe(r,elaborate(X,Y))),
effect(sabe(r,elaborate(X,Y))),
constraints([isa(X,Y,exemplify),sup(Y,X)]),
n([dizer(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(14),
name(dizer-por-evaluate),
header(sabe(r,evaluate(X,Y))),
effect(sabe(r,evaluate(X,Y))),
constraints([isa(X,Y,evalsem),dom(X,Y)]),
n([dizer(Y),cohererel(evaluate(X,Y))]),
s(nil)
).

op(
id(15),
name(dizer-por-explain),
header(sabe(r,explain(X,Y))),
effect(sabe(r,explain(X,Y))),
constraints([isa(X,Y,reason),gen(Y,X)]),
n([dizer(Y),cohererel(explain(X,Y))]),
s(nil)
).

op(
id(16),
name(dizer-por-sequence),
header(sabe(r,sequence(X,Y))),
effect(sabe(r,sequence(X,Y))),
constraints([isa(X,Y,sequence),sp(X,Y)]),
n([dizer(Y),cohererel(sequence(X,Y))]),
s(nil)
).

op(
id(17),
name(dizer-por-background),
header(sabe(r,background(X,Y))),
effect(sabe(r,background(X,Y))),
constraints([isa(X,Y,backsem),not sp(X,Y),sup(Y,X)]),
n([dizer(Y),cohererel(background(X,Y))]),
s(nil)
).

% =======
% OC + EM
% =======

op(
id(18),
name(dizer-por-sabe-background),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,backsem),not sp(X,Y),sup(Y,X)]),
n(dizer(X)),
s(sabe(r,background(X,Y)))
).

op(
id(19),
name(dizer-por-sabe-nonvolres),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(Y,X,cause),sp(X,Y),dom(Y,X),gen(X,Y)]),
n(dizer(X)),
s(sabe(r,nonvolres(X,Y)))
).

op(
id(20),
name(dizer-por-sabe-nonvolcause),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,cause),sp(Y,X),dom(X,Y),gen(Y,X)]),
n(dizer(X)),
s(sabe(r,nonvolcause(X,Y)))
).

op(
id(21),
name(dizer-por-sabe-purpose1),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,enable),sp(Y,X),dom(X,Y)]),
n(dizer(X)),
s(sabe(r,purpose1(X,Y)))
).

op(
id(22),
name(dizer-por-sabe-means),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(Y,X,enable),sp(X,Y),dom(Y,X)]),
n(dizer(X)),
s(sabe(r,means(X,Y)))
).

op(
id(23),
name(dizer-por-sabe-list),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,simsem),symm(X,Y)]),
n(dizer(X)),
s(sabe(r,list(X,Y)))
).

op(
id(24),
name(dizer-por-sabe-contrast),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,difsem),symm(X,Y)]),
n(dizer(X)),
s(sabe(r,contrast(X,Y)))
).

op(
id(25),
name(dizer-por-sabe-elaborate),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,detail),sup(Y,X)]),
n(dizer(X)),
s(sabe(r,elaborate(X,Y)))
).

op(
id(26),
name(dizer-por-sabe-elaborate),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,attribute),sup(Y,X)]),
n(dizer(X)),
s(sabe(r,elaborate(X,Y)))
).

op(
id(27),
name(dizer-por-sabe-elaborate),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,exemplify),sup(Y,X)]),
n(dizer(X)),
s(sabe(r,elaborate(X,Y)))
).

op(
id(28),
name(dizer-por-sabe-evaluate),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,evalsem),dom(X,Y)]),
n(dizer(X)),
s(sabe(r,evaluate(X,Y)))
).

op(
id(29),
name(dizer-por-sabe-evidence),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,proof),sp(Y,X),dom(X,Y),sup(Y,X)]),
n(dizer(X)),
s(sabe(r,evidence(X,Y)))
).

op(
id(30),
name(dizer-por-sabe-explain),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,reason),gen(Y,X)]),
n(dizer(X)),
s(sabe(r,explain(X,Y)))
).

op(
id(31),
name(dizer-por-sabe-purpose2),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(Y,X,rationale),sup(Y,X),dom(X,Y),not sp(X,Y)]),
n(dizer(X)),
s(sabe(r,purpose2(X,Y)))
).

op(
id(32),
name(dizer-por-sabe-justify1),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(Y,X,rationale),sup(Y,X),dom(X,Y),not sp(X,Y)]),
n(dizer(X)),
s(sabe(r,justify1(X,Y)))
).

op(
id(33),
name(dizer-por-sabe-sequence),
header(dizer(X)),
effect(sabe(r,X)),
constraints([isa(X,Y,sequence),sp(X,Y)]),
n(dizer(X)),
s(sabe(r,sequence(X,Y)))
).

% ======
% INFORM
% ======

op(
id(1),
name(dizer-informando),
header(dizer(X)),
effect(sabe(r,X)),
constraints(nil),
n(inform(r,X)),
s(nil)
).